<?php

require_once '../../../../app/model/db.class.php';

class TipFaltas extends database
{
    function proceso()
    {
    
        $this->conectar();
        $resul=$this->consulta("select faltas.codigo,faltas.descripcion,faltas.tipo_falta, tipo_falta.descripcion as info from tipo_falta join faltas on tipo_falta.codigo=faltas.tipo_falta order by faltas.codigo asc;");
        
        if($this->numero_de_filas($resul)){
        $f=0;
        while($row=$this->fetch_assoc($resul))
        {
            $c=0;

            $arr[$f][$c]=$row['codigo'];
            $arr[$f][$c+1]=$row['descripcion'];        
            $arr[$f][$c+2]=$row['tipo_falta'];                  
            $arr[$f][$c+3]=$row['info'];
            $f++;
        }
    

    return $arr;
    }else
        {
            return "no";
        }
    }


}


?>